# TimeSeries

rng = pandas.date_range('1/1/2011', periods=72, freq='H')
print rng

print rang[1]

s = pandas.Series(np.random.randn(72), index=rng)
s.head()

converted = s.asfreq('45Min', method='pad')
converted.head()

s.resample('D', how='mean')
s.resample('D', how='sum')

periods = pandas.PeriodIndex([pandas.Period('2012-01'),
    pandas.Period('2012-02'), pandas.Period('2012-03')])

periods

ts = pandas.Series(np.random.randn(3), index=periods)

ts

d = pandas.date_range('2010/01/01', periods=730, freq='D')

s = pandas.Series(np.random.randn(len(d)), index=d)

import datetime as D

s[D.date(2011, 12, 12)]
s[D.date(2011, 12, 12):D.date(2011, 12, 24)]
s['2011/12/12']
s['2011/12/12':'2011/12/24']
s['2011/12']
s['2011/11':'2011/12']
s['2010']

ts = pandas.Series(np.random.randn(len(d)), index=d)
df = pandas.DataFrame({'a' : s, 'b' : ts})
df.head()

print (df - s).head()

import pandas.tseries.offsets as offsets

D.datetime(2011, 11, 10) + offsets.BDay()
D.datetime(2011, 11, 10) + 2*offsets.BDay()
D.datetime(2011, 11, 10) + offsets.Week()
# Next week Tuesday
D.datetime(2011, 11, 10) + offsets.Week(weekday=1) 

s[:10].shift(2)
s[:10].tshift(2)

