# MultiIndexes

a = ['one', 'two']

b = ['foo', 'bar', 'baz']

c = zip(sorted(a*3), b*2)

c

m = pandas.MultiIndex.from_tuples(c, names=['first', 'second'])

m

s = pandas.Series(np.random.randn(6), index=m)

s

s['one']

s['one']['bar']

s['two'] - s['one']

t = pandas.Series(np.random.randn(6), index=m)

q = pandas.DataFrame({'S' : s, 'T' : t})

print q

q.ix['one']

d = ['a', 'b']

c=zip(sorted(a*6), sorted(b*2) + sorted(b*2), d*6)

m = pandas.MultiIndex.from_tuples(c, names=['first', 'second', 'third'])

s = pandas.Series(np.random.randn(12), index=m)

s + s[:-2]

s[('one', 'baz'):('two', 'bar', 'a')]

m = pandas.MultiIndex(levels=[['zero', 'one'], ['x','y']],
      labels=[[1,1,0,0],[1,0,1,0]])

df = pandas.DataFrame(np.random.randn(4,2), index=m)
print df

print df.mean(level=0)
print df.mean(level=1)

np.random.shuffle(c)

m = pandas.MultiIndex.from_tuples(c, names=['A', 'B', 'C'])
s=pandas.Series(np.random.randn(12), index=m)

print s
s[('one', 'foo'):('two', 'baz')]

s.sortlevel(0)
s.sortlevel('A')
s.sortlevel('C')
s.sortlevel('A')[('one', 'foo'):('two', 'baz')]


d = ['a', 'b', 'c', 'd']

c=zip(sorted(a*6), sorted(b*2) + sorted(b*2), d*3)

m = pandas.MultiIndex.from_tuples(c, names=['first', 'second', 'third'])

s = pandas.Series(np.random.randn(12), index=m)

s
s.swaplevel('first', 'second')

df = pandas.DataFrame( {'one' : ['foo', 'foo', 'bar', 'bar'],
    'two' : ['a', 'b', 'c', 'd'],
    'three' : [1,2,3,4],
    'four' : [5,6,7,8]})

dd = df.set_index(['one', 'two'])
print dd
print dd.reset_index()
